/**
 * 
 */
package sim.physics;

import sim.math.SVector3d;

/**
 * L'interface <b>SApplyForce</b> reprsente un classe permettant d'appliquer des forces sur une particule.
 * 
 * @author Simon Vzina
 * @since 2023-10-02
 * @version 2023-10-20
 */
public interface SApplyForce {

  /**
   * <p>
   * Mthode pour dterminer la force qui sera applicable sur une particle.
   * </p>
   * <p>
   * Le type de force en jeu dpendra de la classe qui implmentera cette interface.
   * </p>
   *  
   * @param particle La particule cible par la force. 
   * @return La force applique sur une particle.
   */
  public SVector3d force(SParticle particle);
  
}
