/**
 * 
 */
package sim.physics;

import sim.exception.SNoImplementationException;
import sim.math.SVector3d;

/**
 * La classe <b>SGravitation</b> est une classe utilitaire en lien avec la loi de la gravitation universelle de Newton.
 * 
 * @author Simon Vzina
 * @since 2023-09-13
 * @version 2024-01-05 (Version labo : Les orbites)
 */
public class SGravitation {

  /**
   * La constante <b>G</b> reprsente la <b>constante de gravitation universelle</b> tant gale  <b>{@value} en Nm^2/kg^2</b>.
   */
  public static final double G = SPhysics.G;
  
  /**
   * La constante <b>UA</b> reprsente l'unit de longueur unit astronomique (<i>astronomical unit (of length)</i>) correspondant  la distance Terre-Soleil tant gal  {@value} m.
   */
  public static final double UA = 149597870000.0;
     
  /**
   * Mthode permettant d'valuer la loi de la gravitation universelle (force gravitationnelle) entre deux masses (dites ponctuelles).
   * 
   * @param M La masse qui applique la force.
   * @param r_M La position de la masse qui applique la force.
   * @param m La masse qui subit la force.
   * @param r_m La position de la masse qui subit la force.
   * @return La force applique par M sur m.
   */
  public static SVector3d gravitationLaw(double M, SVector3d r_M, double m, SVector3d r_m)
  {
    throw new SNoImplementationException();
    
  }
  
  /**
   * Mthode permettant d'valuer l'nergie gravitationnelle entre deux masses (dites ponctuelles)
   * 
   * @param M La masse qui applique la force.
   * @param r_M La position de la masse qui applique la force.
   * @param m La masse qui subit la force.
   * @param r_m La position de la masse qui subit la force.
   * @return L'nergie gravitationnel associe au systme de masse M et m. L'nergie sera NEGATIVE_INFINITY si la distance entre les deux particules est nulle.
  */
  public static double gravitationalEnergy(double M, SVector3d r_M, double m, SVector3d r_m)
  {
    throw new SNoImplementationException();
    
  }
  
}
