/**
 * 
 */
package sim.physics;

/**
 * La classe <b>SPhysic</b> reprsente une classe utilitaire en lien avec des concepts de physique. 
 * 
 * @author Simon Vezina
 * @since 2016-02-11
 * @version 2023-09-13
 */
public class SPhysics {

  //--------------
  // CONSTANTES //
  //--------------
  
  /**
   * La constante <b>c</b> reprsente la <b>vitesse de la lumire</b> tant gale  <b>{@value} m/s</b>.
   */
  public static final double c = 299792458; 
  
  /**
   * La constante <b>G</b> reprsente la <b>constante de gravitation universelle</b> tant gale  <b>{@value} en Nm^2/kg^2</b>.
   */
  public static final double G = 6.67340e-11;
  
  /**
   * La constante <b>k</b> reprsente la <b>constante de Coulomb</b> tant gale  <b>{@value} Nm^2/C^2</b>.
   */
  public static final double k = 8.9875517873681764e9;
  
  /**
   * La constante <b>EPSILON_ZERO</b> reprsente la <b>constante lectrique</b> tant gale  {@value}.
   */
  public static final double EPSILON_ZERO = 8.85418782e-12;
    
}
