/**
 * 
 */
package sim.physics;

import sim.exception.SConstructorException;
import sim.graphics.SColor;
import sim.math.SVector3d;

/**
 * La classe <b>SStar</b> reprsente une toile.
 * 
 * @author Simon Vzina
 * @since 2023-10-11
 * @version 2023-10-12
 */
public class SStar extends SPlanet {

  /**
   * La variable <b>color</b> reprsente la couleur d'clairage de l'toile.
   */
  protected SColor color;
  
  /**
   * @param mass
   * @param ray
   * @param position
   * @param speed
   * @param texture_name
   * @throws SConstructorException
   */
  public SStar(double mass, double ray, SVector3d position, SVector3d speed, String texture_name, SColor color) throws SConstructorException 
  {
    super(mass, ray, position, speed, texture_name);

    this.color = color;
  }
  
  /**
   * ...
   */
  @Override
  public SStar copy()
  {
    return new SStar(this.particle.getMass(), this.ray, this.particle.getPosition(), this.particle.getSpeed(), this.texture_name, this.color);
  }

  /**
   * ...
   * 
   * @return
   */
  public SColor getColor()
  {
    return this.color;
  }

  @Override
  public String toString() 
  {
    return "SStar [particle=" + particle + ", ray=" + ray + ", texture_name=" + texture_name + ", color=" + color + "]";
  }
  
}
