package sim.physics;

import org.junit.Assert;
import org.junit.Test;

import sim.exception.SNoImplementationException;
import sim.math.SVector3d;
import sim.util.SLog;

/**
 * JUnit test permettant de valider les fonctionnalits de la classe <b>SGravitationnalParticleSystem</b>.
 * 
 * @author Simon Vzina
 * @since 2023-09-28
 * @version 2023-10-16
 */
public class SGravitationnalParticleSystemTest {

  /**
   * JUnit test de la mthode <b>interactionForce/b> dans un cas gnral (backcoverage).
   */
  @Test
  public void interactionForceTest1() 
  {
    try{
      
      double m = 6.784e12;
      double M = 9.345e16;
      
      SVector3d r_m = new SVector3d(6.7e6, 3.2e6, -4.2e6);
      SVector3d r_M = new SVector3d(-8.8e6, -9.6e6, 7.7e6);
      SVector3d v = SVector3d.ZERO;
      
      SParticle p1 = new SParticle(m, r_m, v);
      SParticle p2 = new SParticle(M, r_M, v);
      
      SParticleSystem sys = new SGravitationnalParticleSystem();
            
      SVector3d expected = new SVector3d(-51441.43433549992, -42480.66835447736, 39493.74636080316);
      
      Assert.assertEquals(expected, sys.interactionForce(p2, p1));
      
    }catch(SNoImplementationException e){
      SLog.logWriteLine("SGravitationnalParticleSystemTest ---> Test non effectu : public void interactionForceTest1()");
    }
  }
  
}
